=== debian/changelog ===
mqtt-revpi-client (0.1.1-1+deb13+1) trixie; urgency=medium

  [ Sven Sager ]
  * doc: Create README documentation for MQTT Client device
  * doc: Explain the functions of the IOs on the MQTT client module
  * doc: How to install the debian package

  [ LukasZech ]
  * ci(lint): Include rap validation jobs in CI

  [ Lukas Zech ]
  * style(rap): Reformat rap file

  [ Sven Sager ]
  * fix: Update paho-mqtt dependency to exclude 2.0.* versions
  * ci: Add trixie python version to tests
  * feat(deb): Update debian settings to trixie release
  * fix(deb): Set version of paho-mqtt to 2.1
  * fix(deb): Do not use aliased-location in install file

 -- Sven Sager <s.sager@kunbus.com>  Thu, 11 Dec 2025 10:02:00 +0100

mqtt-revpi-client (0.1.0-1+revpi12+2) bookworm; urgency=medium

  * fix(deb): Set breaks pictory to upgrade pictory > 2.3.0 before installation

 -- Sven Sager <s.sager@kunbus.com>  Wed, 10 Apr 2024 12:44:45 +0200

mqtt-revpi-client (0.1.0-1+revpi12+1) bookworm; urgency=medium

  * docs: Start git project with python git-ignore and Readme
  * docs: Use 'reuse' for SPDX Headers and Licenses
  * feat: Add python base project files
  * feat: Add proginit application basic module
  * test: Add tests directory with a dummy test
  * build: Add all necessary files for the build system
  * ci: Add GitLab CI tasks to test and build two flavors of the project
  * feat: Add arguments to change process image and pictory configuration
  * feat: Add watchdog module to check the 'driver restart' of the process image
  * feat: Add basic daemon class to handle mqtt clients
  * feat: Add systemd file and data to integrate the app as a daemon
  * feat: Add mqtt client module to connect to a broker and send IO values
  * feat: Manage mqtt client instances in the client manager
  * feat: Module status input and disconnect output implemented
  * feat: Use replace_io value from device MEM setting
  * docs: Add documentation for the example files in data directory
  * docs: Add sudoers sample file for enabling/disabling the server
  * feat(pictory): Add RAP file for PiCtory and metadata for installation
  * feat(pictory): Add sub-arguments to use the custom-rap-installer
  * feat: New RAP addressing and client status codes
  * chore: Set version to 0.1.0
  * feat: Enable debugging of RevPiModIO on verbose level 2 (-vv)
  * fix: Use same function (event or cycle) to create mqtt messages
  * fix: Always initiate the client status with 255 when creating the instance
  * fix: Use "client status" value for "connected" property of MqttClient
  * test: Add several pictory configurations for testing
  * test: Add tests to validate the MEM processing of MqttClient class
  * test: Add test with broker connection
  * test: Test MQTT command-topics to set or reset IOs
  * test: Add mosquitto configuration file for tests with broker
  * ci: Add tags to use our KUNBUS runners
  * ci: Install mosquitto broker for ci tests
  * ci: Test on python versions included in bullseye and bookworm
  * test: Add shell script to start a mosquitto broker for tests
  * fix: Set correct program argument for debug messages from RevPiModIO
  * feat(deb): Start packaging branch for bullseye
  * feat(deb): Update packaging to debian bookworm

 -- Sven Sager <s.sager@kunbus.com>  Fri, 08 Mar 2024 13:46:54 +0100
