=== debian/control ===
Source: mqtt-revpi-client
Section: python
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/mqtt-revpi-client
Vcs-Git: https://gitlab.com/revolutionpi/mqtt-revpi-client.git -b debian/trixie
Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-custom-rap-installer,
  python3-paho-mqtt (>= 2.1.0), python3-paho-mqtt (<< 3),
  python3-revpimodio2 (>= 2.6),
  python3-setuptools
Standards-Version: 4.7.2

Package: mqtt-revpi-client
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${python3:Depends},
  python3-paho-mqtt (>= 2.1.0), python3-paho-mqtt (<< 3),
  python3-revpimodio2 (>= 2.6),
  ${misc:Depends}
Breaks: pictory (<< 2.3.0)
Recommends: pictory (>= 2.3.0)
Conflicts: mqtt-revpi-client-revapp
Replaces: mqtt-revpi-client-revapp
Description: MQTT client for use on a Revolution Pi configured via PiCtory
 The MQTT client for the Revolution Pi is configured like any other
 device via PiCtory. Several MQTT clients with different settings can
 be created in one configuration. This package installs the backend,
 which processes the PiCtory configuration and starts and manages the
 client instances.
